const _ = require("lodash");
const ko = require("knockout");

const Dialog = require("cattura-ui-library/src/lib/ui/dialog");

function makeDialog ()
{
    let currentStream = ko.observable();

    return Dialog({
        open (stream)
        {
            currentStream(stream);
            this.show();
        },

        close ()
        {
            currentStream(null);
            this.hide();
        },

        stream: currentStream
    }, {
        template: require("./content.pug")
    });
}

module.exports = makeDialog;
